com.pixelmed.event

## Interface EventDispatcher

All Known Implementing Classes:
  ApplicationEventDispatcher

    public interface EventDispatcher

### Method Summary

Methods
`void` `addListener(Listener l)`
`void` `processEvent(Event wcwEvent)`
`void` `removeAllListenersForEventContext(EventContext context)`
`void` `removeListener(Listener l)`

### Method Detail

#### addListener

    void addListener(Listener l)

Parameters:
  `l` -

#### removeListener

    void removeListener(Listener l)

Parameters:
  `l` -

#### removeAllListenersForEventContext

    void removeAllListenersForEventContext(EventContext context)

Parameters:
  `context` -

#### processEvent

    void processEvent(Event wcwEvent)

Parameters:
  `wcwEvent` -